%define name	amanda
%define version 2.4.4p4
%define release 3mdk

# OE 20040517: define soname (used right after %%setup)
%define amanda_version_info 2:4:2

%define major 0
%define libname %mklibname %name %major

%define	_libexecdir	%{_libdir}/amanda

Summary:	A network-capable tape backup solution
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Archiving/Backup
URL:		http://www.amanda.org
Source0:	http://download.sourceforge.net/amanda/amanda-%{version}.tar.bz2
Source1:	amanda.crontab.bz2
Source2:	__README_QUICKSETUP__.bz2
Source3:	amanda.conf.bz2
Source4:	disklist.bz2
Source5:	amanda-xinetd.bz2
Source6:	amandaidx-xinetd.bz2
Source7:	amidxtape-xinetd.bz2
Source8:	amandahosts.bz2
Source9:	amanda.pdf
Patch0:		amanda-2.4.2-bug18322.patch.bz2
Patch1:		amanda-2.4.2p2-append-patch.bz2
Patch2:		amanda-2.4.4p2-pie.patch.bz2
Patch3:		amanda-2.4.4p4-no_private_libtool.m4.patch.bz2
Prereq:		fileutils grep initscripts
BuildPreReq:	dump gnuplot samba-client xfsdump mailx mt-st mtx
ExcludeArch:	ia64
Requires:	tar libtermcap
BuildRequires:	libtermcap-devel flex readline-devel gettext-devel
BuildRequires:	automake1.7 autoconf2.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description 
AMANDA, the Advanced Maryland Automatic Network Disk Archiver, is a
backup system that allows the administrator of a LAN to set up a single
master backup server to back up multiple hosts to a single large capacity
tape drive.  AMANDA uses native dump and/or GNU tar facilities and can
back up a large number of workstations running multiple versions of Unix.
Newer versions of AMANDA (including this version) can use SAMBA to back
up Microsoft(TM) Windows95/NT hosts.  The amanda package contains the
core AMANDA programs and will need to be installed on both AMANDA clients
and AMANDA servers.  Note that you will have to install the amanda-client
and amanda-server packages as well.

%package	client
Summary:	The client component of the AMANDA tape backup system
Group:		Archiving/Backup
Prereq:		fileutils grep /sbin/service xinetd
PreReq:		rpm-helper

%description	client
The Amanda-client package should be installed on any machine that will
be backed up by AMANDA (including the server if it also needs to be
backed up).  You will also need to install the amanda package to each
AMANDA client.

%package	server
Summary:	The server side of the AMANDA tape backup system
Group:		Archiving/Backup
Requires:	gnuplot mailx mt-st
Prereq:		fileutils grep /sbin/service xinetd
PreReq:		rpm-helper

%description	server
The amanda-server package should be installed on the AMANDA server,
the machine attached to the device (such as a tape drive) where backups
will be written. You will also need to install the amanda package to
the AMANDA server.  And, if the server is also to be backed up, the
server also needs to have the amanda-client package installed.

%package -n	%{libname}
Summary:	Libraries and documentation of the AMANDA tape backup system
Group:		Archiving/Backup
Requires:	tar
Provides:	lib%name = %{version}-%{release}

%description -n %{libname}
AMANDA, the Advanced Maryland Automatic Network Disk Archiver, is a
backup system that allows the administrator of a LAN to set up a single
master backup server to back up multiple hosts to a single large capacity
tape drive.  AMANDA uses native dump and/or GNU tar facilities and can
back up a large number of workstations running multiple versions of Unix.
Newer versions of AMANDA (including this version) can use SAMBA to back
up Microsoft(TM) Windows95/NT hosts.  The amanda package contains the
core AMANDA programs and will need to be installed on both AMANDA clients
and AMANDA servers.  Note that you will have to install the amanda-client

%package -n	%{libname}-client
Summary:	Libraries for amanda client
Group:		System/Libraries
Provides:	lib%name-client = %{version}-%{release}
# urpmi help
Conflicts:	amanda-client <= 2.4.4-1mdk

%description -n %{libname}-client
AMANDA, the Advanced Maryland Automatic Network Disk Archiver, is a
backup system that allows the administrator of a LAN to set up a single
master backup server to back up multiple hosts to a single large capacity
tape drive.  AMANDA uses native dump and/or GNU tar facilities and can
back up a large number of workstations running multiple versions of Unix.
Newer versions of AMANDA (including this version) can use SAMBA to back
up Microsoft(TM) Windows95/NT hosts.  The amanda package contains the
core AMANDA programs and will need to be installed on both AMANDA clients
and AMANDA servers.  Note that you will have to install the amanda-client

%package -n	%{libname}-server
Summary:	Libraries for amanda-server
Group:		System/Libraries
Provides:	lib%name-server = %{version}-%{release}
# urpmi help
Conflicts:	amanda-server <= 2.4.4-1mdk

%description -n %{libname}-server
AMANDA, the Advanced Maryland Automatic Network Disk Archiver, is a
backup system that allows the administrator of a LAN to set up a single
master backup server to back up multiple hosts to a single large capacity
tape drive.  AMANDA uses native dump and/or GNU tar facilities and can
back up a large number of workstations running multiple versions of Unix.
Newer versions of AMANDA (including this version) can use SAMBA to back
up Microsoft(TM) Windows95/NT hosts.  The amanda package contains the
core AMANDA programs and will need to be installed on both AMANDA clients
and AMANDA servers.  Note that you will have to install the amanda-client

%package -n	%{libname}-devel
Summary:	Libraries and documentation of the AMANDA tape backup system
Group:		Development/Other
Requires:	%libname = %{version}-%release
Requires:	%libname-server = %{version}-%release
Requires:	%libname-client = %{version}-%release
Provides:	amanda-devel
Provides:	lib%name-devel = %{version}-%{release}

%description -n %libname-devel
The libamanda-devel package should be installed on any machine that will
be used to develop amanda applications.

%prep
%setup -q 
%patch0 -p1 -b .bug18322

# re-apply this one when the patch is updated,
# there's too many rejects as is.
#%patch1 -p1 -b .append

%patch2 -p1 -b .pie
%patch3 -p0 -b .no_private_libtool

# OE 20040517: fix soname
find -name "Makefile.*" | xargs perl -pi -e "s|^libamanda_la_LDFLAGS.*|libamanda_la_LDFLAGS = -version-info %{amanda_version_info}|g"
find -name "Makefile.*" | xargs perl -pi -e "s|^libamclient_la_LDFLAGS.*|libamclient_la_LDFLAGS = -version-info %{amanda_version_info}|g"
find -name "Makefile.*" | xargs perl -pi -e "s|^libamserver_la_LDFLAGS.*|libamserver_la_LDFLAGS = -version-info %{amanda_version_info}|g"
find -name "Makefile.*" | xargs perl -pi -e "s|^libamtape_la_LDFLAGS.*|libamtape_la_LDFLAGS = -version-info %{amanda_version_info}|g"

%build
export WANT_AUTOCONF_2_5=1
rm -f configure; libtoolize --copy --force && aclocal-1.7 && automake-1.7 && autoconf

%configure2_5x \
    --enable-shared \
    --with-index-server=localhost \
    --with-gnutar-listdir=%{_localstatedir}/amanda/gnutar-lists \
    --with-smbclient=%{_bindir}/smbclient \
    --with-db=text \
    --with-amandahosts \
    --with-user=amanda \
    --with-group=disk \
    --with-gnutar=/bin/tar \
    --program-transform-name=""
				
%make
(cd common-src; make security)
(cd tape-src; make tapetype)

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/xinetd.d
install -d %{buildroot}%{_sysconfdir}/amanda/DailySet1
install -d %{buildroot}%{_localstatedir}/amanda
install -d %{buildroot}%{_localstatedir}/amanda/gnutar-lists
install -d %{buildroot}%{_localstatedir}/amanda/DailySet1/index

%makeinstall BINARY_OWNER=%(id -un) SETUID_GROUP=%(id -gn)

bzcat %{SOURCE5} > %{buildroot}%{_sysconfdir}/xinetd.d/amanda
bzcat %{SOURCE6} > %{buildroot}%{_sysconfdir}/xinetd.d/amandaidx
bzcat %{SOURCE7} > %{buildroot}%{_sysconfdir}/xinetd.d/amidxtape
chmod 644 %{buildroot}%{_sysconfdir}/xinetd.d/*

bzcat %{SOURCE8} > %{buildroot}%{_localstatedir}/amanda/.amandahosts
chmod 660 %{buildroot}%{_localstatedir}/amanda/.amandahosts

mkdir -p examples
cp example/* examples
rm -f examples/Makefile*
rm -f examples/config.site

cp common-src/security %{buildroot}%{_sbindir}

bzcat %{SOURCE2} > docs/__README_QUICKSETUP__
cp %{SOURCE9} docs/

{ cd %{buildroot}
  bzcat %{SOURCE1} > .%{_sysconfdir}/amanda/crontab.sample
  bzcat %{SOURCE3} > .%{_sysconfdir}/amanda/DailySet1/amanda.conf
  bzcat %{SOURCE4} > .%{_sysconfdir}/amanda/DailySet1/disklist
  touch .%{_sysconfdir}/amandates

  chmod 755 .%{_libdir}/libam*
  strip .%{_sbindir}/* || :
  strip .%{_libexecdir}/* || :
}

# remove installed docs which we let RPM handle to install
rm -rf %{buildroot}%{_datadir}/amanda

%clean 
rm -rf %{buildroot}

%pre -n %{libname}
useradd -M -n -g disk -r -d %{_localstatedir}/amanda -s /bin/bash \
	-c "system user for %{name}" amanda >/dev/null 2>&1 || :

%post client
%_post_service xinetd

%post server
%_post_service xinetd

%preun client
%_post_service xinetd

%preun server
%_post_service xinetd

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %libname-client -p /sbin/ldconfig

%postun -n %libname-client -p /sbin/ldconfig

%post -n %libname-server -p /sbin/ldconfig

%postun -n %libname-server -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libamanda.so.*
%{_libdir}/libamtape.so.*
%attr(-,amanda,disk) %{_sbindir}/amrestore
%attr(660,amanda,disk)  %config(noreplace) %{_localstatedir}/amanda/.amandahosts
%attr(-,amanda,disk) %dir %{_localstatedir}/amanda/
%attr(-,amanda,disk) %dir %{_sysconfdir}/amanda/
%attr(-,amanda,disk) %config(noreplace) %{_sysconfdir}/amandates
%{_mandir}/man8/amrestore.8*

%files server
%defattr(-,root,root)
%doc examples docs/[A-LN-Z]* docs/MULTITAPE COPYRIGHT* NEWS README
%doc docs/amanda.pdf
%config(noreplace) %{_sysconfdir}/xinetd.d/amandaidx
%config(noreplace) %{_sysconfdir}/xinetd.d/amidxtape
%attr(-,amanda,disk) %dir %{_libexecdir}
%attr(-,amanda,disk) %{_libexecdir}/amidxtaped
%attr(-,amanda,disk) %{_libexecdir}/amindexd
%attr(-,amanda,disk) %{_libexecdir}/amlogroll
%attr(-,amanda,disk) %{_libexecdir}/amtrmidx
%attr(-,amanda,disk) %{_libexecdir}/amtrmlog
%attr(-,amanda,disk) %{_libexecdir}/driver
%attr(4750,root,disk) %{_libexecdir}/dumper
%attr(4750,root,disk) %{_libexecdir}/planner
%attr(-,amanda,disk) %{_libexecdir}/taper
%attr(-,amanda,disk) %{_libexecdir}/amcleanupdisk
%attr(-,amanda,disk) %{_libexecdir}/chg-scsi
%attr(-,amanda,disk) %{_libexecdir}/chg-manual
%attr(-,amanda,disk) %{_libexecdir}/chg-multi
%attr(-,amanda,disk) %{_libexecdir}/chg-mtx
%attr(-,amanda,disk) %{_libexecdir}/chg-rth
%attr(-,amanda,disk) %{_libexecdir}/chg-chs
%attr(-,amanda,disk) %{_libexecdir}/chg-chio
%attr(-,amanda,disk) %{_libexecdir}/chg-zd-mtx
%attr(-,amanda,disk) %{_libexecdir}/chg-iomega
%attr(-,amanda,disk) %{_libexecdir}/amcat.awk
%attr(-,amanda,disk) %{_libexecdir}/amplot.awk
%attr(-,amanda,disk) %{_libexecdir}/amplot.g
%attr(-,amanda,disk) %{_libexecdir}/amplot.gp

%attr(-,amanda,disk) %{_sbindir}/amadmin
%attr(4750,root,disk) %{_sbindir}/amcheck
%attr(-,amanda,disk) %{_sbindir}/amflush
%attr(-,amanda,disk) %{_sbindir}/amgetconf
%attr(-,amanda,disk) %{_sbindir}/amlabel
%attr(-,amanda,disk) %{_sbindir}/amtape
%attr(-,amanda,disk) %{_sbindir}/amreport
%attr(-,amanda,disk) %{_sbindir}/amcheckdb
%attr(-,amanda,disk) %{_sbindir}/amcleanup
%attr(-,amanda,disk) %{_sbindir}/amdump
%attr(-,amanda,disk) %{_sbindir}/amoverview
%attr(-,amanda,disk) %{_sbindir}/amrmtape
%attr(-,amanda,disk) %{_sbindir}/amtoc
%attr(-,amanda,disk) %{_sbindir}/amverify
%attr(-,amanda,disk) %{_sbindir}/amstatus
%attr(-,amanda,disk) %{_sbindir}/amplot
%attr(-,amanda,disk) %{_sbindir}/amdd
%attr(-,amanda,disk) %{_sbindir}/ammt
%attr(-,amanda,disk) %{_sbindir}/amverifyrun
%attr(-,amanda,disk) %{_sbindir}/amtapetype

%attr(-,amanda,disk) %dir %{_localstatedir}/amanda/DailySet1/
%attr(-,amanda,disk) %dir %{_localstatedir}/amanda/DailySet1/index
%attr(-,amanda,disk) %dir %{_sysconfdir}/amanda
%attr(-,amanda,disk) %dir %{_sysconfdir}/amanda/DailySet1
%attr(-,amanda,disk) %config(noreplace) %{_sysconfdir}/amanda/DailySet1/amanda.conf
%attr(-,amanda,disk) %config(noreplace) %{_sysconfdir}/amanda/crontab.sample
%attr(-,amanda,disk) %config(noreplace) %{_sysconfdir}/amanda/DailySet1/disklist

%{_mandir}/man8/amplot.8*
%{_mandir}/man8/amanda.8*
%{_mandir}/man8/amadmin.8*
%{_mandir}/man8/amcheck.8*
%{_mandir}/man8/amcheckdb.8*
%{_mandir}/man8/amcleanup.8*
%{_mandir}/man8/amdump.8*
%{_mandir}/man8/amflush.8*
%{_mandir}/man8/amlabel.8*
%{_mandir}/man8/amoverview.8*
%{_mandir}/man8/amrmtape.8*
%{_mandir}/man8/amtape.8*
%{_mandir}/man8/amtoc.8*
%{_mandir}/man8/amverify.8*
%{_mandir}/man8/amstatus.8*
%{_mandir}/man8/amreport.8*
%{_mandir}/man8/amdd.8*
%{_mandir}/man8/amgetconf.8*
%{_mandir}/man8/ammt.8*
%{_mandir}/man8/amverifyrun.8*
%{_mandir}/man8/amtapetype.8*

%files -n %libname-server
%defattr(-,root,root)
%{_libdir}/libamserver.so.*

%files client
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/xinetd.d/amanda
%attr(-,amanda,disk) %dir %{_libexecdir}
%attr(-,amanda,disk) %{_libexecdir}/amandad
%attr(4750,root,disk) %{_libexecdir}/calcsize
%attr(4750,root,disk) %{_libexecdir}/killpgrp
%attr(-,amanda,disk) %{_libexecdir}/patch-system
%attr(4750,root,disk) %{_libexecdir}/rundump
%attr(4750,root,disk) %{_libexecdir}/runtar
%attr(-,amanda,disk) %{_libexecdir}/selfcheck
%attr(-,amanda,disk) %{_libexecdir}/sendbackup
%attr(-,amanda,disk) %{_libexecdir}/sendsize
%attr(-,amanda,disk) %{_libexecdir}/versionsuffix
%attr(-,amanda,disk) %{_libexecdir}/chg-juke
%attr(-,amanda,disk) %{_libexecdir}/chg-rait
%attr(-,amanda,disk) %{_libexecdir}/amqde
%attr(-,amanda,disk) %{_libexecdir}/chg-disk
%attr(-,amanda,disk) %{_libexecdir}/chg-mcutil
%attr(-,amanda,disk) %{_libexecdir}/chg-null
%attr(-,amanda,disk) %{_sbindir}/amrecover
%attr(-,amanda,disk) %{_sbindir}/security
%attr(-,amanda,disk) %{_localstatedir}/amanda/gnutar-lists/
%{_mandir}/man8/amrecover.8*

%files -n %libname-client
%defattr(-,root,root)
%{_libdir}/libamclient.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/libam*.a
%{_libdir}/libam*.la
%{_libdir}/libam*.so

%changelog
* Fri Feb  4 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.4.4p4-3mdk
- rebuilt against new readline

* Fri Dec 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.4.4p4-2mdk
- added P3 to make it build on 10.0 (thanks pld!)

* Fri Dec 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.4.4p4-1mdk
- 2.4.4p4

* Fri Jul 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.4.4p3-1mdk
- 2.4.4p3

* Thu May 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.4.4p2-2mdk
- added P2 (fedora)
- fix deps

* Mon May 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.4.4p2-1mdk
- 2.4.4p2
- fix soname
- use the %%configure2_5x macro
- misc spec file fixes

* Wed Sep 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.4.4-2mdk
- add amanda.pdf (thanks leAnne)
- own %%_libexecdir
- %%mklibname
- re-split lib

* Fri Mar 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.4.4-1mdk
- 2.4.4
- add missing files

* Sun Jan 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.4.3-1mdk
- 2.4.3
- bzip all sources
- use P0 from RH
- remove installed files
- add installed files
- fix no-prereq-on rpm-helper
- built without gdbm (use flatfile db)
- misc spec file fixes

* Mon Sep 16 2002 Buchan Milne <bgmilne@linux-mandrake.com> 2.4.2p2-6mdk
- s|//|/| for ~amanda (Oden Eriksson)
- Require mailx (Yura Gusev)
- Various Buildrequires

* Sun Sep 15 2002 Buchan Milne <bgmilne@linux-mandrake.com> 2.4.2p2-5mdk
- Actually use the pre script to create users, make it more like 
  _pre_useradd (but not identical, since we need the group) (Oden Eriksson)
- Tape append patch (Brian Murrell), requires automake and autoconf be run.
- spec fixes for stuff inherited from rh
- Buildrequires flex

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.4.2p2-4mdk
- requires samba-client

* Sat Aug 17 2002 Buchan Milne <bgmilne@linux-mandrake.com> 2.4.2p2-3mdk
- Time to bite the bullet and put this in contrib (aka better rpmlint errors
  galore than no network backup software ;-)).

* Sun Jul 21 2002 Buchan Milne <bgmilne@cae.co.za> 2.4.2p2-2mdk
- Use %_{pre,post}un_service xinetd
- pseudo-libify

* Mon Jul 30 2001 Buchan Milne <bgmilne@cae.co.za> 2.4.2p2-1mdk
- Mandrake package, added buildrequires and requires for
  libtermcap
- Fixed Tronds incorrect date (was 2002) below, rpm does
  not like time-warping packages.

* Wed Apr  4 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 2.4.2p2 - fixes problems with amrecover (#26567)
- made config files noreplace
- don't build on IA64 right now, amanda doesn't like
  the dump there: It segfaults.

* Fri Mar 16 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add /usr/bin/smbclient to buildprereq (#31996), to
  avoid samba being built without such support

* Thu Feb 22 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Use %%{version} in source URL, and thus actually use 
  2.4.2p1 instead of 2.4.2 (doh! # 28759)
- add patch to handle bogus /dev/root entries (#28759)

* Fri Feb 16 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 2.4.2p1 bugfix release
- move amandaixd and amidxtape to the server package (#28037)

* Wed Jan 31 2001 Trond Eivind Glomsrd <teg@redhat.com>
- move /etc/xinetd.d/amanda to the client subpackage (#25430)

* Tue Jan 30 2001 Trond Eivind Glomsrd <teg@redhat.com>
- don't have "chunksize -1" as the default, as it's no longer
  supported
- make it uid amanda, with home /var/lib/amada
  so programs can actually access it (#20510)
- make .amandahosts a config file (#18322)

* Tue Jan 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 2.4.2
- make the UDP service "wait" (#23047)

* Tue Oct 10 2000 Jeff Johnson <jbj@redhat.com>
- build with shared libraries.
- add amanda-devel package to contain static libraries.
- update to 2.4.2-19991216-beta1 (#16818).
- sort out client-server file confusions (#17232).
- amandaidx-xinetd should have "wait = no" (#17551).
- /var/lib/amanda needs operator.disk ownership (17913).
- /etc/xinetd.d/amanda added to the amanda-server package (#18112).
- ignore socket error message (#18322).

* Sun Sep  3 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- do not include /etc/xinetd.d/amandaidx in the server rpm

* Mon Aug 21 2000 Trond Eivind Glomsrd <teg@redhat.com>
- only do reload of xinetd if xinetd is running (#16653)
- don't show output of reload command to STDOUT (#16653)
- don't use /usr/sbin/tcpd in amidx, xinetd is linked
  with tcp_wrappers
- prereq initscripts (fixes #14572 and duplicates)

* Tue Aug  1 2000 Bill Nottingham <notting@redhat.com>
- turn off amandaidx by default (#14937)
- fix some binary permissions (#14938)

* Tue Aug  1 2000 Matt Wilson <msw@redhat.com>
- added Prereq: /sbin/service xinetd to client and server subpackages

* Tue Jul 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- xinetd support

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Jeff Johnson <jbj@redhat.com>
- add prereqs for scriptlets, requires for common package.

* Sat Jun 10 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.
- move to 7.0 distro.

* Tue May 23 2000 Tim Powers <timp@redhat.com>
- built for 7.0
- man pages in /usr/share/man

* Thu Apr 27 2000 Tim Powers <timp@redhat.com>
- added usr/lib/amanda/chg-zd-mtx to the client RPM to fix bug #8282

* Wed Mar 8 2000 Tim Powers <timp@redhat.com>
- fixed files/dirs ending up in the wrong packages.
- last time it wasn't built with dump (doh!), this time it is. Now has a
	BuildRequires for dump.

* Thu Feb 10 2000 Tim Powers <timp@redhat.com>
- strip binaries

* Fri Jan 21 2000 TIm Powers <timp@redhat.com>
- added chown lines to post section

* Tue Jan 11 2000 Tim Powers <timp@redhat.com>
- make sure the man pages are gzipped in each subpackage, overriding the build
	system spec_install_post macro.
- using mega spec file changes from Marc Merlin <merlin_bts@valinux.com> since
	the package we were shipping in the past had some major issues (not in
	Marc's words ;)
- using Marc's added README and modified config files.
- adapted patches written by Alexandre Oliva <oliva@dcc.unicamp.br> from Marc
	Merlin's package so that the patch matches the source version (the patches
	are the glibc2.1 and glibc2.2 patches)

* Mon Jan 3 2000 Tim Powers <timp@redhat.com>
- fix so configure doesn't crap out (libtoolize --force)
- gzip man pages, strip binaries
- rebuilt for 6.2

* Thu Aug 5 1999 Tim Powers <timp@redhat.com>
- applied patch so that it reports the available holding disk space correctly

* Thu Jul 8 1999 Tim Powers <timp@redhat.com>
- added %defattr lines
- rebuilt for 6.1

* Wed May 05 1999 Bill Nottingham <notting@redhat.com>
- update to 2.4.1p1

* Tue Oct 27 1998 Cristian Gafton <gafton@redhat.com>
- version 2.4.1

* Tue May 19 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to full 2.4.0 release

* Thu Feb 19 1998 Otto Hammersmith <otto@redhat.com>
- fixed group for -client and -server packages (Network->Networking)

* Wed Feb 11 1998 Otto Hammersmith <otto@redhat.com>
- updated to 2.4.0b6, fixes security hole among other things
  (as well as finally got the glibc patch in the main source.)
 
* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- moved versionsuffix to client package to remove dependency of amanda on amanda-client

* Mon Jan 26 1998 Otto Hammersmith <otto@redhat.com>
- fixed libexec garbage.

* Wed Jan 21 1998 Otto Hammersmith <otto@redhat.com>
- split into three packages amanda, amanda-client, and amanda-server

* Fri Jan  9 1998 Otto Hammersmith <otto@redhat.com>
- updated to latest beta... builds much cleaner now.

* Thu Jan  8 1998 Otto Hammersmith <otto@redhat.com>
- created the package
